<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <androidx.appcompat.widget.Toolbar
        android:id="@+id/mToolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintTop_toTopOf="parent">

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="@string/product_and_service"
            android:textColor="@color/white"
            android:textSize="@dimen/large_text_size"
            android:textStyle="bold" />

    </androidx.appcompat.widget.Toolbar>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_header"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimaryDark"
        android:padding="10dp"
        app:layout_constraintTop_toBottomOf="@+id/mToolbar">

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/find"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/find"
            android:textColor="@color/white"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/the_best"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/one_for_you"
            android:textColor="@color/white"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/find" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/yes_you_ll_love_it"
            android:textColor="@color/white"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/the_best" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:id="@+id/mTabLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_button_service"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_header">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:orientation="horizontal"
            android:padding="@dimen/margin_1x_size">

            <Button
                android:id="@+id/btn_package"
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_weight="1"
                android:text="Packages"
                android:textAllCaps="false"
                android:textColor="@color/white"
                android:textSize="12sp" />

            <Button
                android:id="@+id/btn_price_plan"
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_weight="1"
                android:text="Price Plans"
                android:textAllCaps="false"
                android:textColor="@color/white"
                android:textSize="12sp" />

        </LinearLayout>


    </LinearLayout>


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/mRecyclerCategory"
        android:layout_width="70dp"
        android:layout_height="0dp"
        android:background="@color/colorBgWhiteGray"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mTabLayout" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/mRecyclerDetail"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:nestedScrollingEnabled="false"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/button_switch_plan"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/mRecyclerCategory"
        app:layout_constraintTop_toBottomOf="@+id/mTabLayout"
        app:layout_constraintVertical_bias="0.519" />

    <Button
        android:id="@+id/button_switch_plan"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginStart="70dp"
        android:background="@color/colorPrimary"
        android:text="Switch to this plan"
        android:textColor="@color/white"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>